// $Id$
/**
* Copyright (C) 2014 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.httpinvoker;

import org.apache.log4j.Level;
import org.apache.log4j.Logger;
import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;
import org.unitils.UnitilsJUnit4;

import eu.etaxonomy.taxeditor.lazyloading.AbstractLazyInitializerTest;

/**
 * @author cmathew
 * @date 6 Oct 2014
 *
 */
public class CdmServerTest extends UnitilsJUnit4 {
    private static final Logger logger = Logger.getLogger(CdmServerTest.class);


    @Test
    public void stopCdmServer() {
        Logger.getRootLogger().setLevel(Level.INFO);
        CDMServer.getInstance().setKeepServerRunning(false);
        try {
            CDMServer.getInstance().stop();
        } catch (Exception e) {
            Assert.fail("Server could not be stopped. Reason : " + e.getMessage());
        }
    }

}
